summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRyan Harkin <ryan.harkin@linaro.org>2015-06-12 14:51:21 +0100
committerRyan Harkin <ryan.harkin@linaro.org>2015-06-12 17:34:40 +0100
commita7d4ed1013d458e2f89e99309a3faa7056e8f61f (patch)
tree0a5f5e6051894ce00fe1a3b8b8492116600276c2
parent95a56a7280ad832b9f5f06c4d556ff8a5d7b0660 (diff)
downloadfvp-pre-boot-a7d4ed1013d458e2f89e99309a3faa7056e8f61f.tar.gz
Add Android and OE semihosting variants
Create variants of UEFI and the FIP with configs specifically as used in the OpenEmbedded and Android builds. The default config, currently booting from DRAM, is also generated as usual. Signed-off-by: Ryan Harkin <ryan.harkin@linaro.org>
-rwxr-xr-xfvp-pre-boot.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/fvp-pre-boot.sh b/fvp-pre-boot.sh
index ed08a9e..0059787 100755
--- a/fvp-pre-boot.sh
+++ b/fvp-pre-boot.sh
@@ -196,6 +196,16 @@ else
count_errors $?
export BL33=`pwd`/`find . -name FVP_AARCH64_EFI.fd`
cp -a ${BL33} ${builddir}/uefi_fvp-base.bin
+
+ # Build the semihosting config for OE
+ ${UEFI_TOOLS_DIR}/uefi-build.sh -D ARM_FVP_BOOT_FROM_SEMIHOSTING -b ${TARGET} fvp_minimal
+ count_errors $?
+ cp -a `pwd`/`find . -name FVP_AARCH64_EFI.fd` ${builddir}/uefi_fvp-base-oe.bin
+
+ # Build the semihosting config for Android
+ ${UEFI_TOOLS_DIR}/uefi-build.sh -D ARM_FVP_BOOT_ANDROID_FROM_SEMIHOSTING -b ${TARGET} fvp_minimal
+ count_errors $?
+ cp -a `pwd`/`find . -name FVP_AARCH64_EFI.fd` ${builddir}/uefi_fvp-base-android.bin
;;
esac
fi
@@ -212,6 +222,23 @@ cp -a ${REPO_WORKSPACE}/build/${platform}/release/bl2.bin ${builddir}/${platform
cp -a ${REPO_WORKSPACE}/build/${platform}/release/bl31.bin ${builddir}/${platform}_bl31.bin
cp -a ${REPO_WORKSPACE}/build/${platform}/release/fip.bin ${builddir}/${platform}_fip.bin
+# For FVP models, build the extra OpenEmbedded and Android FIPs
+if [ "${platform}" == "fvp" ]; then
+ mkdir -p ${builddir}/openembedded
+ export BL33=${builddir}/uefi_fvp-base-oe.bin
+ make PLAT=${platform} fip
+ count_errors $?
+ cp -a ${REPO_WORKSPACE}/build/${platform}/release/bl1.bin ${builddir}/openembedded/${platform}_bl1.bin
+ cp -a ${REPO_WORKSPACE}/build/${platform}/release/fip.bin ${builddir}/openembedded/${platform}_fip.bin
+
+ mkdir -p ${builddir}/android
+ export BL33=${builddir}/uefi_fvp-base-android.bin
+ make PLAT=${platform} fip
+ count_errors $?
+ cp -a ${REPO_WORKSPACE}/build/${platform}/release/bl1.bin ${builddir}/android/${platform}_bl1.bin
+ cp -a ${REPO_WORKSPACE}/build/${platform}/release/fip.bin ${builddir}/android/${platform}_fip.bin
+fi
+
# If nothing build, return an error
if [ $built_count -eq 0 ]; then
exit $error_count